osl::game_playing::RecordTracer Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
osl::game_playing::RecordTracer Class Reference

vector<Moves>の追跡 More...

`#include <recordTracer.h>`

Inheritance diagram for osl::game_playing::RecordTracer:
[legend]
Collaboration diagram for osl::game_playing::RecordTracer:
[legend]

## Public Types
typedef vector< Move > | moves_t

## Public Member Functions
| RecordTracer (const moves_t &moves, bool verbose=false)
| RecordTracer (const RecordTracer &)
| ~RecordTracer ()
OpeningBookTracer * | clone () const
| new したものを返す More...
void | update (Move)
| 指した手に対応して状態を更新する． More...
const Move | selectMove () const
| 良い手を探す．状態は更新しない． More...
int | stateIndex () const
bool | isOutOfBook () const
void | popMove ()
| 一手前の状態に戻す More...
Public Member Functions inherited from osl::game_playing::OpeningBookTracer
| OpeningBookTracer ()
virtual | ~OpeningBookTracer ()
bool | isVerbose () const

## Static Public Member Functions
static const RecordTracer | kisenRecord (const char *filename, int id, unsigned int num_moves, bool verbose)

## Private Attributes
const moves_t | moves
stack< int > | state_index
bool | verbose

## Additional Inherited Members
Protected Attributes inherited from osl::game_playing::OpeningBookTracer
bool | verbose

## Detailed Description

vector<Moves>の追跡

Definition at line 17 of file recordTracer.h.

## Member Typedef Documentation

typedef vector<Move> osl::game_playing::RecordTracer::moves_t

Definition at line 20 of file recordTracer.h.

## Constructor & Destructor Documentation

osl::game_playing::RecordTracer::RecordTracer | ( | const moves_t & | moves,
|  | bool | verbose = `false`
| ) |  |
| explicit

osl::game_playing::RecordTracer::RecordTracer | ( | const RecordTracer & | copy) |  |

Definition at line 19 of file recordTracer.cc.

osl::game_playing::RecordTracer::~RecordTracer | ( | ) |  |

Definition at line 26 of file recordTracer.cc.

## Member Function Documentation

osl::game_playing::OpeningBookTracer * osl::game_playing::RecordTracer::clone | ( | ) |  | const
| virtual

new したものを返す

Implements osl::game_playing::OpeningBookTracer.

Definition at line 31 of file recordTracer.cc.

bool osl::game_playing::RecordTracer::isOutOfBook | ( | ) |  | const
| virtual

Implements osl::game_playing::OpeningBookTracer.

Definition at line 64 of file recordTracer.cc.

const osl::game_playing::RecordTracer osl::game_playing::RecordTracer::kisenRecord | ( | const char * | filename,
|  | int | id,
|  | unsigned int | num_moves,
|  | bool | verbose
| ) |  |
| static

Definition at line 75 of file recordTracer.cc.

References moves.

void osl::game_playing::RecordTracer::popMove | ( | ) |  |
| virtual

一手前の状態に戻す

Implements osl::game_playing::OpeningBookTracer.

Definition at line 69 of file recordTracer.cc.

const osl::Move osl::game_playing::RecordTracer::selectMove | ( | ) |  | const
| virtual

良い手を探す．状態は更新しない．

Returns
  定跡をはずれたら Move::INVALID()

Implements osl::game_playing::OpeningBookTracer.

Definition at line 56 of file recordTracer.cc.

References osl::Move::INVALID(), and moves.

int osl::game_playing::RecordTracer::stateIndex | ( | ) |  | const
| inline

Definition at line 34 of file recordTracer.h.

References state_index.

void osl::game_playing::RecordTracer::update | ( | Move | ) |  |
| virtual

指した手に対応して状態を更新する．

Implements osl::game_playing::OpeningBookTracer.

Definition at line 37 of file recordTracer.cc.

References moves, osl::record::csa::show(), and verbose.

## Member Data Documentation

const moves_t osl::game_playing::RecordTracer::moves
| private

Definition at line 22 of file recordTracer.h.

stack<int> osl::game_playing::RecordTracer::state_index
| private

Definition at line 23 of file recordTracer.h.

Referenced by stateIndex().

bool osl::game_playing::RecordTracer::verbose
| private

Definition at line 24 of file recordTracer.h.

The documentation for this class was generated from the following files:

- recordTracer.h
- recordTracer.cc